package com.sonic.pigeon.lib.enums;

public enum ImUserTypeEnum {

    u("普通用户"),
    r("机器人"),
    ;

    private String desc;

    ImUserTypeEnum(String desc) {
        this.desc = desc;
    }

    public static ImUserTypeEnum getImUserType(String type) {
        System.out.println( type);
        for (ImUserTypeEnum value : values()) {
            if (value.name().equals(type)) {
                return value;
            }
        }
        return null;
    }

}
